For the complete documentation index, see llms.txt. This page is also available as Markdown.

Activate WordPress theme

Activate an installed theme on a WordPress installation.

Activate WordPress theme

post

Activate an installed theme on a WordPress installation.

Provide the WordPress installation (software) identifier in the path. It can be obtained from GET /api/hosting/v1/wordpress/installations (the id field).

This operation is asynchronous: a successful response only means the activation job has been queued.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
usernamestringRequiredExample: u123456789
softwarestringRequired

WordPress installation (software) identifier

Example: 1232456789Pattern: ^[0-9]+$
Body
themestring · min: 1 · max: 50Required

Slug of the installed theme to activate.

Example: twentytwentyone
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/hosting/v1/accounts/{username}/wordpress/{software}/themes/activate
POST /api/hosting/v1/accounts/{username}/wordpress/{software}/themes/activate HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 27

{
  "theme": "twentytwentyone"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?